Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.eclipse.jetty.websocket
Enum WebSocketParserD01.State

    java.lang.Object
      java.lang.Enum<WebSocketParserD01.State>
          org.eclipse.jetty.websocket.WebSocketParserD01.State

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<WebSocketParserD01.State>

Enclosing class:
  WebSocketParserD01

    public static enum WebSocketParserD01.State

extends java.lang.Enum<WebSocketParserD01.State>

Enum Constant Summary
`DATA`
`LENGTH_16`
`LENGTH_63`
`LENGTH_7`
`START`

Method Summary
`static WebSocketParserD01.State` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static WebSocketParserD01.State[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### START

    public static final WebSocketParserD01.State START

### LENGTH_7

    public static final WebSocketParserD01.State LENGTH_7

### LENGTH_16

    public static final WebSocketParserD01.State LENGTH_16

### LENGTH_63

    public static final WebSocketParserD01.State LENGTH_63

### DATA

    public static final WebSocketParserD01.State DATA

Method Detail

### values

    public static WebSocketParserD01.State[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (WebSocketParserD01.State c : WebSocketParserD01.State.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static WebSocketParserD01.State valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.